--- old/usr/src/man/man3c/byteorder.3c	Sat Jan 12 22:56:05 2019
+++ new/usr/src/man/man3c/byteorder.3c	Sat Jan 12 22:56:05 2019
@@ -75,12 +75,12 @@
 ports as returned by
 .Xr gethostent 3NSL
 and
-.Xr getservent 3NSL .
+.Xr getservent 3SOCKET .
 .Sh MT-LEVEL
 .Sy Safe
 .Sh SEE ALSO
 .Xr inet.h 3HEAD ,
 .Xr gethostent 3NSL ,
-.Xr getservent 3NSL ,
+.Xr getservent 3SOCKET ,
 .Xr attributes 5 ,
 .Xr byteorder 5
--- old/usr/src/man/man3c/memset_s.3c	Sat Jan 12 22:56:05 2019
+++ new/usr/src/man/man3c/memset_s.3c	Sat Jan 12 22:56:05 2019
@@ -96,7 +96,7 @@
 .Sy Safe
 .Sh SEE ALSO
 .Xr memset 3C ,
-.Xr set_constraint_handler 3C
+.Xr set_constraint_handler_s 3C
 .Sh STANDARDS
 The
 .Fn memset_s
--- old/usr/src/man/man3head/endian.h.3head	Sat Jan 12 22:56:05 2019
+++ new/usr/src/man/man3head/endian.h.3head	Sat Jan 12 22:56:05 2019
@@ -27,7 +27,7 @@
 While the manual page details the macros defined by
 .In endian.h ,
 the functions are documented separately in
-.Xr endian 3C.
+.Xr endian 3C .
 More information on endianness and a general background on the topic can
 be found in
 .Xr byteorder 5 .
--- old/usr/src/man/man3lib/libproc.3lib	Sat Jan 12 22:56:05 2019
+++ new/usr/src/man/man3lib/libproc.3lib	Sat Jan 12 22:56:05 2019
@@ -114,7 +114,7 @@
 Many of the operations in the library rely on debug information being
 present in a process and its associated libraries.
 The library leverages symbol table information, CTF data
-.Pq Xr CTF 4
+.Pq Xr ctf 4
 sections, and frame unwinding information based on the use of an ABI
 defined frame pointer, e\&.g\&.
 .Sy %ebp
--- old/usr/src/man/man3proc/Pgrab_error.3proc	Sat Jan 12 22:56:05 2019
+++ new/usr/src/man/man3proc/Pgrab_error.3proc	Sat Jan 12 22:56:05 2019
@@ -34,7 +34,7 @@
 .Fa perr
 during a failed call to
 .Xr Pgrab 3PROC ,
-.Xr Pfgrab_core 3PROC,
+.Xr Pfgrab_core 3PROC ,
 .Xr Pgrab_core 3PROC ,
 or
 .Xr Pgrab_file 3PROC .
--- old/usr/src/man/man3proc/Psignal.3proc	Sat Jan 12 22:56:05 2019
+++ new/usr/src/man/man3proc/Psignal.3proc	Sat Jan 12 22:56:05 2019
@@ -48,7 +48,7 @@
 The signal constants, representing valid values for
 .Fa which ,
 can be found in
-.Xr signal.h 3HEAD.
+.Xr signal.h 3HEAD .
 The signal
 .Dv SIGKILL
 may not be stopped.
--- old/usr/src/man/man5/pam_timestamp.5	Sat Jan 12 22:56:05 2019
+++ new/usr/src/man/man5/pam_timestamp.5	Sat Jan 12 22:56:05 2019
@@ -54,7 +54,7 @@
 .Bl -tag -width Ds
 .It Dv debug
 Provides
-.Xr syslog 3
+.Xr syslog 3C
 debugging information at the
 .Sy LOG_AUTH | LOG_DEBUG
 level.
--- old/usr/src/man/man7d/usba.7d	Sat Jan 12 22:56:06 2019
+++ new/usr/src/man/man7d/usba.7d	Sat Jan 12 22:56:06 2019
@@ -136,7 +136,7 @@
 .Xr virtualkm 7D ,
 .Xr xhci 7D ,
 .Xr Intro 9F ,
-.Xr Intro 9S)
+.Xr Intro 9S
 .Pp
 .Rs
 .%T Writing Device Drivers
--- old/usr/src/man/man9e/usba_hcdi.9e	Sat Jan 12 22:56:06 2019
+++ new/usr/src/man/man9e/usba_hcdi.9e	Sat Jan 12 22:56:06 2019
@@ -228,10 +228,10 @@
 .Ss Binding the Root Hub
 Once this is set up, the hcdi driver must initialize its root hub by
 calling
-Xr usba_hcdi_bind_root_hub 9F .
+.Xr usba_hubdi_bind_root_hub 9F .
 To bind the root hub, the device driver is responsible for providing a
 device descriptor that represents the hardware.
- Depending on the hardware, this descriptor may be either static or dynamic.
+Depending on the hardware, this descriptor may be either static or dynamic.
 .Pp
 This device descriptor should be a packed descriptor that is the same
 that would be read off of the device.
@@ -276,7 +276,7 @@
 loading the root hub.
 Once successfully loaded, driver writers should assume that they'll get other
 calls into the driver's operation vector before the call to
-.Xr usba_hubdi_bind_root_hub 9F.
+.Xr usba_hubdi_bind_root_hub 9F .
 .Pp
 If the call to
 .Xr usba_hubdi_bind_root_hub 9F
--- old/usr/src/man/man9f/Makefile	Sat Jan 12 22:56:06 2019
+++ new/usr/src/man/man9f/Makefile	Sat Jan 12 22:56:06 2019
@@ -1197,6 +1197,7 @@
 		scsi_hba_iportmap_iport_add.9f			\
 		scsi_hba_iportmap_iport_remove.9f		\
 		scsi_hba_pkt_free.9f				\
+		scsi_hba_tgtmap_destroy.9f 			\
 		scsi_hba_tgtmap_set_begin.9f 			\
 		scsi_hba_tgtmap_set_add.9f 			\
 		scsi_hba_tgtmap_set_end.9f 			\
@@ -2094,6 +2095,7 @@
 
 scsi_hba_pkt_free.9f			:= LINKSRC = scsi_hba_pkt_alloc.9f
 
+scsi_hba_tgtmap_destroy.9f 		:= LINKSRC = scsi_hba_tgtmap_create.9f
 scsi_hba_tgtmap_set_begin.9f 		:= LINKSRC = scsi_hba_tgtmap_create.9f
 scsi_hba_tgtmap_set_add.9f		:= LINKSRC = scsi_hba_tgtmap_create.9f
 scsi_hba_tgtmap_set_end.9f		:= LINKSRC = scsi_hba_tgtmap_create.9f
--- old/usr/src/man/man9f/usba_hubdi_bind_root_hub.9f	Sat Jan 12 22:56:06 2019
+++ new/usr/src/man/man9f/usba_hubdi_bind_root_hub.9f	Sat Jan 12 22:56:06 2019
@@ -135,4 +135,4 @@
 .Xr usba_hcdi 9E ,
 .Xr usba_hcdi_register 9F ,
 .Xr usba_hcdi_unregister 9F ,
-.Xr usb_dev_Descr 9S
+.Xr usb_dev_descr 9S
--- old/usr/src/man/man9s/qinit.9s	Sat Jan 12 22:56:06 2019
+++ new/usr/src/man/man9s/qinit.9s	Sat Jan 12 22:56:06 2019
@@ -64,8 +64,8 @@
 .Xr queue 9S ,
 .Xr streamtab 9S
 .Pp
-.Xr Writing Device Drivers
+.%T Writing Device Drivers
 .Pp
-.Xr STREAMS Programming Guide
+.%T STREAMS Programming Guide
 .Sh NOTES
 This release includes no support for module statistics.
--- old/usr/src/pkg/manifests/system-kernel.man9f.inc	Sat Jan 12 22:56:06 2019
+++ new/usr/src/pkg/manifests/system-kernel.man9f.inc	Sat Jan 12 22:56:06 2019
@@ -1306,6 +1306,8 @@
     target=scsi_hba_iportmap_create.9f
 link path=usr/share/man/man9f/scsi_hba_pkt_free.9f \
     target=scsi_hba_pkt_alloc.9f
+link path=usr/share/man/man9f/scsi_hba_tgtmap_destroy.9f \
+    target=scsi_hba_tgtmap_create.9f
 link path=usr/share/man/man9f/scsi_hba_tgtmap_set_add.9f \
     target=scsi_hba_tgtmap_create.9f
 link path=usr/share/man/man9f/scsi_hba_tgtmap_set_begin.9f \
